Bug 189699 - Review Request: gnucap - The Gnu Circuit Analysis Package
Review Request: gnucap - The Gnu Circuit Analysis Package
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 189717
  Show dependency treegraph
 
Reported: 2006-04-23 08:23 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-27 16:02:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Improbed specfile (2.24 KB, text/plain)
2006-04-27 02:58 EDT, Hans de Goede
no flags Details
improved specfile (2.31 KB, text/plain)
2006-04-27 13:14 EDT, Hans de Goede
no flags Details

  None (edit)
Description Hans de Goede 2006-04-23 08:23:15 EDT
Spec URL: http://home.zonnet.nl/jwrdegoede/gnucap.spec
SRPM URL: http://home.zonnet.nl/jwrdegoede/gnucap-0.34-1.src.rpm
Description:
The primary component is a general purpose circuit simulator. It performs
nonlinear dc and transient analyses, fourier analysis, and ac analysis. Spic
compatible models for the MOSFET (level 1-7), BJT, and diode are included in
this release. Gnucap is not based on Spice, but some of the models have been
derived from the Berkeley models. Unlike Spice, the engine is designed to do
true mixed-mode simulation. Most of the code is in place for future support
event driven analog simulation, and true multi-rate simulation.

---

Notice I mainly packaged this because its a dependency for gcompris (http://gcompris.net). Their are newer snapshot versions available from geda but those segfault when used with gcompris generated netlists, so I've decided to stick with the latest official release which also actually works.
Comment 1 Hans de Goede 2006-04-23 17:24:31 EDT
Note that I've finished packaging gcompris see bug 189717
Comment 2 Wart 2006-04-26 18:22:30 EDT
I get a number of rpmlint warnings similar to this:
W: gnucap-debuginfo dangling-relative-symlink
/usr/src/debug/gnucap-0.34/src/O/d_mos2.cc ../d_mos2.cc
Comment 3 Wart 2006-04-27 01:42:20 EDT
rpmlint output:
E: gnucap configure-without-libdir-spec

- The configure script was not created by autoconf, and does not
  respond to a --libdir flag.

W: gnucap-debuginfo dangling-relative-symlink
/usr/src/debug/gnucap-0.34/src/O/d_mos2.cc ../d_mos2.cc
W: gnucap-debuginfo dangling-relative-symlink
/usr/src/debug/gnucap-0.34/src/O/d_mos4.cc ../d_mos4.cc
W: gnucap-debuginfo dangling-relative-symlink
/usr/src/debug/gnucap-0.34/src/O/d_mos6.cc ../d_mos6.cc
W: gnucap-debuginfo dangling-relative-symlink
/usr/src/debug/gnucap-0.34/src/O/d_mos1.cc ../d_mos1.cc
W: gnucap-debuginfo dangling-relative-symlink
/usr/src/debug/gnucap-0.34/src/O/d_mos7.cc ../d_mos7.cc
W: gnucap-debuginfo dangling-relative-symlink
/usr/src/debug/gnucap-0.34/src/O/d_mos5.cc ../d_mos5.cc
W: gnucap-debuginfo dangling-relative-symlink
/usr/src/debug/gnucap-0.34/src/O/d_mos3.cc ../d_mos3.cc
W: gnucap-debuginfo dangling-relative-symlink
/usr/src/debug/gnucap-0.34/src/O/d_bjt.cc ../d_bjt.cc
W: gnucap-debuginfo dangling-relative-symlink
/usr/src/debug/gnucap-0.34/src/O/d_mos.cc ../d_mos.cc
W: gnucap-debuginfo dangling-relative-symlink
/usr/src/debug/gnucap-0.34/src/O/d_diode.cc ../d_diode.cc
W: gnucap-debuginfo dangling-relative-symlink
/usr/src/debug/gnucap-0.34/src/O/d_mos_base.cc ../d_mos_base.cc
W: gnucap-debuginfo dangling-relative-symlink
/usr/src/debug/gnucap-0.34/src/O/d_mos123.cc ../d_mos123.cc

- The build system compiles against symlinks to the actual source files, which
  seems to confuse rpmbuild when it creates the debuginfo package.  You might
  try using hardlinks instead of softlinks to work around this.


MUST
====
 * Package and spec file named appropriately
 * GPL license ok, license file included
 * spec file legible and in Am. English
 * Sources match upstream:
   0d346f02a38c544fda6f8d7ec4f8b45e  gnucap-0.34.tar.gz
 * Compiles and builds in mock on:
   FC4-i386, FC4-x86_64, FC5-i386, FC5-x86_64
 * No excessive BR:
 * No locales
 * No shared libraries
 * Not relocatable
 * Does not create any directories that it should own
 * No duplicate %files
 * %clean ok
 * Contains code, not content
 * %doc ok
 * No -devel package needed
 * No .desktop file needed

QUESTIONS
=========
 * There seems to be two home pages for gnucap.  The one listed in the
   spec file at www.gnu.org lists 0.31 as the most recent version.  But
   a similarly looking page at http://www.geda.seul.org/tools/gnucap
   shows 0.34.  Why the two home pages?

MUSTFIX
=======
 * Add %{?_smp_mflags} to 'make'.  Intial tests show that it builds fine
   with this flag.
Comment 4 Hans de Goede 2006-04-27 02:58:09 EDT
Created attachment 128286 [details]
Improbed specfile

(In reply to comment #3)
> rpmlint output:
> E: gnucap configure-without-libdir-spec
> 
> - The configure script was not created by autoconf, and does not
>   respond to a --libdir flag.
> 
> W: gnucap-debuginfo dangling-relative-symlink
> /usr/src/debug/gnucap-0.34/src/O/d_mos2.cc ../d_mos2.cc
> W: gnucap-debuginfo dangling-relative-symlink
> /usr/src/debug/gnucap-0.34/src/O/d_mos4.cc ../d_mos4.cc
> W: gnucap-debuginfo dangling-relative-symlink
> /usr/src/debug/gnucap-0.34/src/O/d_mos6.cc ../d_mos6.cc
> W: gnucap-debuginfo dangling-relative-symlink
> /usr/src/debug/gnucap-0.34/src/O/d_mos1.cc ../d_mos1.cc
> W: gnucap-debuginfo dangling-relative-symlink
> /usr/src/debug/gnucap-0.34/src/O/d_mos7.cc ../d_mos7.cc
> W: gnucap-debuginfo dangling-relative-symlink
> /usr/src/debug/gnucap-0.34/src/O/d_mos5.cc ../d_mos5.cc
> W: gnucap-debuginfo dangling-relative-symlink
> /usr/src/debug/gnucap-0.34/src/O/d_mos3.cc ../d_mos3.cc
> W: gnucap-debuginfo dangling-relative-symlink
> /usr/src/debug/gnucap-0.34/src/O/d_bjt.cc ../d_bjt.cc
> W: gnucap-debuginfo dangling-relative-symlink
> /usr/src/debug/gnucap-0.34/src/O/d_mos.cc ../d_mos.cc
> W: gnucap-debuginfo dangling-relative-symlink
> /usr/src/debug/gnucap-0.34/src/O/d_diode.cc ../d_diode.cc
> W: gnucap-debuginfo dangling-relative-symlink
> /usr/src/debug/gnucap-0.34/src/O/d_mos_base.cc ../d_mos_base.cc
> W: gnucap-debuginfo dangling-relative-symlink
> /usr/src/debug/gnucap-0.34/src/O/d_mos123.cc ../d_mos123.cc
> 
> - The build system compiles against symlinks to the actual source files,
which
>   seems to confuse rpmbuild when it creates the debuginfo package.  You might

>   try using hardlinks instead of softlinks to work around this.
> 

I noticed this too, this also came up during a review  by me of kismet which
generates the same warnings. We (I and the kismet packager) concider this an
rpmbuild bug and have bugzilla'd it, see:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=189928


> QUESTIONS
> =========
>  * There seems to be two home pages for gnucap.  The one listed in the
>    spec file at www.gnu.org lists 0.31 as the most recent version.  But
>    a similarly looking page at http://www.geda.seul.org/tools/gnucap
>    shows 0.34.  Why the two home pages?
> 

I noticed this too, it seems that gnucap @ gnu is dead, and that the geda
project has taken it over.


> MUSTFIX
> =======
>  * Add %{?_smp_mflags} to 'make'.  Intial tests show that it builds fine
>    with this flag.
> 

Hmm, unfortunatly I don't remember if I left that out on purpose or by
accident,  since there is no comment about it (there is in gcompris.spec) I'll
assume it was left out by accident and have put it in, this builds fine for me
too.

As usual during CET office hours I'm behind a machine which doesn't have upload
access to my homepage, so I've attached the modified specfile.
Comment 5 Wart 2006-04-27 12:53:08 EDT
(In reply to comment #4)

> > W: gnucap-debuginfo dangling-relative-symlink
> > /usr/src/debug/gnucap-0.34/src/O/d_mos123.cc ../d_mos123.cc
> > 
> > - The build system compiles against symlinks to the actual source files,
> which
> >   seems to confuse rpmbuild when it creates the debuginfo package.  You might
> 
> >   try using hardlinks instead of softlinks to work around this.
> > 
> 
> I noticed this too, this also came up during a review  by me of kismet which
> generates the same warnings. We (I and the kismet packager) concider this an
> rpmbuild bug and have bugzilla'd it, see:
> https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=189928

I agree that it's a bug in rpmbuild, but you still end up producing an almost
uselss debuginfo package.  I found a simple workaround.  Add the following two
lines to %prep to use hardlinks instead of softlinks:

%{__sed} -i 's!ln -s!ln!g' src/Make1
%{__sed} -i 's!ln -s!ln!g' src/Make.aux

> > QUESTIONS
> > =========
> >  * There seems to be two home pages for gnucap.  The one listed in the
> >    spec file at www.gnu.org lists 0.31 as the most recent version.  But
> >    a similarly looking page at http://www.geda.seul.org/tools/gnucap
> >    shows 0.34.  Why the two home pages?
> > 
> 
> I noticed this too, it seems that gnucap @ gnu is dead, and that the geda
> project has taken it over.

In that case the URL tag should point to the Geda project page, since the gnu
project page hasn't been updated since version 0.31, almost 4 years ago.  Add a
 comment with a pointer to the gnu.org page if you feel it's necessary.

Comment 6 Hans de Goede 2006-04-27 13:14:42 EDT
Created attachment 128312 [details]
improved specfile

(In reply to comment #5)

> I agree that it's a bug in rpmbuild, but you still end up producing an almost

> useless debuginfo package.  I found a simple workaround.  Add the following
two
> lines to %prep to use hardlinks instead of softlinks:
> 
> %{__sed} -i 's!ln -s!ln!g' src/Make1
> %{__sed} -i 's!ln -s!ln!g' src/Make.aux
> 

Ok, I agree that this is a good workaround for now, added.

> In that case the URL tag should point to the Geda project page, since the gnu

> project page hasn't been updated since version 0.31, almost 4 years ago.

My bad, I though the gnu page went all the way to 0.34 and the only thing the
geda page had extra were the unstable snapshots, fixed.
Comment 7 Wart 2006-04-27 14:26:00 EDT
Looks much better now.  All MUST items fixed.  I'll trust you that that the
package works since I'm not familiar enough with how to use it.

Now I can start the long process of reviewing gcompris.  :)

APPROVED
Comment 8 Hans de Goede 2006-04-27 16:02:03 EDT
Imported and build, Thanks!

Note You need to log in before you can comment on or make changes to this bug.